
package presentacion;

import encapsuladoras.Apartamento;

public class Inicio {
    public static void main(String[] args) {     
        
       Apartamento apartamento1 = new Apartamento("11", 70, 65000, "Oportunidad", (byte)2);  
       Apartamento apartamento2 = new Apartamento("11", 70, 65000, "Demasiado caro", (byte)2); 
       
       if (apartamento1.equals(apartamento2))
           System.out.println("apartamento1 y apartamento2 son iguales");
       else
           System.out.println("apartamento1 y apartamento2 son distintos");
       
       Apartamento apartamento3 = new Apartamento("11", 75, 65000, "Oportunidad", (byte)2);
       
        if (apartamento1.equals(apartamento3))
           System.out.println("apartamento1 y apartamento3 son iguales");
       else
           System.out.println("apartamento1 y apartamento3 son distintos");     
        
       Apartamento apartamento4 = new Apartamento("11", 70, 65000, "Oportunidad", (byte)1);  
        
       if (apartamento1.equals(apartamento4))
           System.out.println("apartamento1 y apartamento4 son iguales");
       else
           System.out.println("apartamento1 y apartamento4 son distintos"); 
    }         
}
